> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/getting-started/facilities/facility-groups.md).

# Facility groups

Facility groups can be used to mark individual facilities as belonging to a specific group. A facility can be part of several facility groups.

Facilities can be assigned to a group by:

1. Creating a facility group via [API](/documentation/getting-started/facilities/facility-groups/facility-group-endpoints.md)
2. Referencing the ID of the facilities in the respective facility group
3. Creating a facility group in Backoffice

Facility groups can be used, for example, to define [sales prices](/documentation/by-pillar/global-inventory-hub/articles/article-attributes.md#sales-price-with-currency) for certain facility groups.

## Create a facility group

To create a facility group, send a `POST` request to the following endpoint with a JSON body.

```http
POST https://ocff-{PROJECT_ID}.api.fulfillmenttools.com/api/facilitygroups
```

The `tenantFacilityGroupId` is the internal ID that you can use to reference the facility group. This follows the [URN pattern](/documentation/apis/api-reference.md#uniform-resource-name-pattern-urn-in-path-parameters).

The `facilityRefs` are the `id` of each facility you want to include in the facility group.

The `nameLocalized` will be displayed in the clients.

```json
{
  "tenantFacilityGroupId": "US_WC",
  "facilityRefs": [
    "871c1620-3757-4242-9a8d-5d20b81cadde_96358521",
    "bc6fd1f7-cbbf-41da-938d-01a68d90a926_0001a6c5",
    "bc6fd1f7-cbbf-41da-938d-01a68d90a926_003fcc05"
  ],
  "nameLocalized": {
    "de_DE": "US Westen",
    "en_US": "US West Coast"
  }
}
```

A successful request returns a `201 Created` response with the created facility group object in the body:

```json
{
    "version": 1,
    "nameLocalized": {
        "de_DE": "US Westen",
        "en_US": "US West Coast"
    },
    "tenantFacilityGroupId": "US_WC",
    "facilityRefs": [
        "871c1620-3757-4242-9a8d-5d20b81cadde_96358521",
        "bc6fd1f7-cbbf-41da-938d-01a68d90a926_0001a6c5",
        "bc6fd1f7-cbbf-41da-938d-01a68d90a926_003fcc05"
    ],
    "lastModified": "2025-04-29T12:26:15.844Z",
    "id": "26c594fc-d26a-4bad-a930-dda610c85678",
    "created": "2025-04-29T12:26:15.844Z",
    "name": "US West Coast"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/getting-started/facilities/facility-groups.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
